Linux Kernelの脆弱性情報(ARM: CVE-2018-18021)



こちらでは主にOSSの脆弱性を取り上げていきます。10/06/2018にLinux Kernelの脆弱性情報(ARM: CVE-2018-18021)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

こちらでは主にOSSの脆弱性を取り上げていきます。10/06/2018にLinux Kernelの脆弱性情報(ARM: CVE-2018-18021)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

  • CVE-2018-18021
    • Important
    • CVSS Severity (version 3.0):
      • Red Hat Customer Portal
        • CVSS v3 Base Score: 6.7
        • Vector: CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H
      • NVD

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://www.openwall.com/lists/oss-security/2018/10/02/2
    • 任意のアドレスのKernelメモリ読み出しの可能性
    • 4.18.2以前のLinux kernelのKVM中のarch/arm64/kvm/guest.cで、arm64プラットフォームではKVM_SET_ON_REG ioctlの不適切な扱いが有りました。これにより仮想マシンを作成できる攻撃者がこの脆弱性を利用することが出来ます。攻撃者は任意のハイパーバイザーのコントロールフロー(全てのレジスタ制御)をリダイレクトすることが出来ます。攻撃者はまた、不正な例外返り値を用いてDoS(hypervisor panic)を引き起こすことができます。これはcore registerファイルへのユーザスペースからのアクセスの制限が不充分なために起きており、PSATE.Mによる確認では保護することが出来ません。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、peacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

セキュリティ系連載案内


セミナー情報 1

2018年10月22日から10月25日のCSS(Computer Security Symposium)2018で、「OSSセキュリティ技術ワークショップ(OWS) 2018特別セッション」 と題しまして、OSSセキュリティ技術の会後援で特別セッションを開催します。

https://www.iwsec.org/ows/2018/index.htmlにプログラム内容と一般論文申し込みの詳細を載せていきますので、是非御確認下さい(ページは更新中です)。



セミナー情報

2018/11/05 19:00に、「2018年秋のBPFまつり」と題しまして、OSSセキュリティ技術の会 第四回勉強会を行います。

今回のテーマはBPF(Berkeley Packet Filter)になります。

https://secureoss-sig.connpass.com/event/103763/がプログラム内容と申し込みの詳細になります。奮ってご参加下さい。

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

Gitに関しての脆弱性情報 ( Important: CVE-2018-17456 )と更新バージョン (Git 2.14.5, 2.15.4, 2.16.5, 2.17.2, 2.19.1)

次へ

net-snmpの脆弱性情報(CVE-2018-18066, CVE-2018-18065)